import { PublicUser, Session, SessionState } from './sessions';
import { Tag } from './tags';
import { Slot } from './experts';

export enum RoomsType {
    UPCOMING = 'upcoming',
    RECENT = 'recent',
    NEW = 'new',
}

export type Record = {
    id: number;
    sessionId: number;
    sid?: string;
    resourceId?: string;
    readyForLoad?: boolean;
    cname?: string;
}

export type Room = Session & { recordings?: Record[] };

export type GetUsersForRooms = {
    items?: PublicUser[],
    isTooManyResults?: boolean;
}

export type RoomEdit = {
    id: number,
    scheduledStartAtUtc?: string,
    scheduledEndAtUtc?: string,
    state?: SessionState,
    cost?: number,
    maxClients?: number,
    title?: string,
    description?: string,
    isNeedSupervisor?: boolean,
    tagIds?: number[]
};

export type RoomEditDTO = {
    item: RoomEdit;
    tags?: Tag[];
    availableSlots: Slot[];
};
